Subject: Re: [PATCH v6 1/4] last-modified: new subcommand to show when files were last modified

From: Junio C Hamano <[email-masked]>
Date: Mon, 04 Aug 2025 10:14:22 -0700

Patrick Steinhardt <[email-masked]> writes:

> On Fri, Aug 01, 2025 at 10:09:41AM -0700, Junio C Hamano wrote:
>> Toon Claes <[email-masked]> writes:
>> 
>> >>> +-t::
>> >>
>> >> -t, --tree-in-recursive::
>> >
>> > Sure!
>> 
>> Clarify *what* you do to trees in recursive by giving a verb, e.g.
>> 
>>     --show-trees-in-recursive
>
> Ah, that's even better indeed! One question that this raises is whether
> this option then should continue to imply `--recursive`. I think it
> rather shouldn't with this new wording, but don't feel overly strong
> about it.

I am somewhat indifferent.  We can call the option --show-trees,
which I suspect would make it more consistent with ls-trees, while
making it a bit more confusing at the same time.  I dunno.